{"title":"Get jobQueueLogEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_jobqueuelogentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_jobqueuelogentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_jobqueuelogentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a job queue log entry object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get jobQueueLogEntries","slug":"get-jobqueuelogentries","at":0,"chars":1691},{"level":2,"title":"HTTP request","slug":"http-request","at":122,"chars":217},{"level":2,"title":"Request headers","slug":"request-headers","at":339,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":411,"chars":61},{"level":2,"title":"Response","slug":"response","at":472,"chars":128},{"level":2,"title":"Example","slug":"example","at":600,"chars":954},{"level":2,"title":"Related information","slug":"related-information","at":1554,"chars":137}],"text":"# Get jobQueueLogEntries\nRetrieves the properties and relationships of a job queue log entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/jobQueueLogEntries({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a jobQueueLogEntry object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/jobQueueLogEntries({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"f8d93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"jobQueueEntryId\": \"JQE00042\",\n    \"userId\": \"f2a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"startDateTime\": \"2025-04-28T20:00:03Z\",\n    \"endDateTime\": \"2025-04-28T20:01:45Z\",\n    \"objectIdToRun\": 12345,\n    \"objectTypeToRun\": \"Codeunit\",\n    \"status\": \"Success\",\n    \"description\": \"Daily customer data synchronization job\",\n    \"errorMessage\": \"\",\n    \"jobQueueCategoryCode\": \"SYNC\",\n    \"errorCallStack\": \"\",\n    \"parameterString\": \"CustomerID=CUST1042;SyncAll=true\",\n    \"systemTaskId\": \"00000000-0000-0000-0000-000000000000\",\n    \"userSessionId\": \"754e2b1a-89a1-ed11-94cc-000d3a2feca1\",\n    \"userServiceInstanceId\": \"bc125-na-prod-42\",\n    \"lastModifiedDateTime\": \"2025-04-28T20:01:45Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_jobqueuelogentry"}